# Class AxiosHeaders

#### Indexable

- [key: string]: any

- Defined in node_modules/axios/index.d.ts:16

##### Index

### Constructors

constructor

### Methods

[iterator]
clear
concat
delete
get
getAccept
getAuthorization
getContentEncoding
getContentLength
getContentType
getUserAgent
has
hasAccept
hasAuthorization
hasContentEncoding
hasContentLength
hasContentType
hasUserAgent
normalize
set
setAccept
setAuthorization
setContentEncoding
setContentLength
setContentType
setUserAgent
toJSON
accessor
concat
from

## Constructors

### constructor

- new AxiosHeaders(
  headers?: string | AxiosHeaders | RawAxiosHeaders ,
  ): AxiosHeaders

  #### Parameters

  - `Optional` headers: string | AxiosHeaders | RawAxiosHeaders

  #### Returns AxiosHeaders

  - Defined in node_modules/axios/index.d.ts:17

## Methods

### [iterator]

- "[iterator]"(): IterableIterator <[string, AxiosHeaderValue ]>

  #### Returns IterableIterator <[string, AxiosHeaderValue ]>

  - Defined in node_modules/axios/index.d.ts:77

### clear

- clear(matcher?: AxiosHeaderMatcher ): boolean

  #### Parameters

  - `Optional` matcher: AxiosHeaderMatcher

  #### Returns boolean

  - Defined in node_modules/axios/index.d.ts:33

### concat

- concat(
  ...targets: (undefined | null | string | AxiosHeaders | RawAxiosHeaders)[],
  ): AxiosHeaders

  #### Parameters

  - ...targets: (undefined | null | string | AxiosHeaders | RawAxiosHeaders)[]

  #### Returns AxiosHeaders

  - Defined in node_modules/axios/index.d.ts:37

### delete

- delete(header: string | string[], matcher?: AxiosHeaderMatcher ): boolean

  #### Parameters

  - header: string | string[]
  - `Optional` matcher: AxiosHeaderMatcher

  #### Returns boolean

  - Defined in node_modules/axios/index.d.ts:31

### get

- get(headerName: string, parser: RegExp): null | RegExpExecArray

  #### Parameters

  - headerName: string
  - parser: RegExp

  #### Returns null | RegExpExecArray

  - Defined in node_modules/axios/index.d.ts:26
- get(headerName: string, matcher?: true | AxiosHeaderParser ): AxiosHeaderValue

  #### Parameters

  - headerName: string
  - `Optional` matcher: true | AxiosHeaderParser

  #### Returns AxiosHeaderValue

  - Defined in node_modules/axios/index.d.ts:27

### getAccept

- getAccept(parser?: RegExp): null | RegExpExecArray

  #### Parameters

  - `Optional` parser: RegExp

  #### Returns null | RegExpExecArray

  - Defined in node_modules/axios/index.d.ts:58
- getAccept(matcher?: AxiosHeaderMatcher ): AxiosHeaderValue

  #### Parameters

  - `Optional` matcher: AxiosHeaderMatcher

  #### Returns AxiosHeaderValue

  - Defined in node_modules/axios/index.d.ts:59

### getAuthorization

- getAuthorization(parser?: RegExp): null | RegExpExecArray

  #### Parameters

  - `Optional` parser: RegExp

  #### Returns null | RegExpExecArray

  - Defined in node_modules/axios/index.d.ts:73
- getAuthorization(matcher?: AxiosHeaderMatcher ): AxiosHeaderValue

  #### Parameters

  - `Optional` matcher: AxiosHeaderMatcher

  #### Returns AxiosHeaderValue

  - Defined in node_modules/axios/index.d.ts:74

### getContentEncoding

- getContentEncoding(parser?: RegExp): null | RegExpExecArray

  #### Parameters

  - `Optional` parser: RegExp

  #### Returns null | RegExpExecArray

  - Defined in node_modules/axios/index.d.ts:68
- getContentEncoding(matcher?: AxiosHeaderMatcher ): AxiosHeaderValue

  #### Parameters

  - `Optional` matcher: AxiosHeaderMatcher

  #### Returns AxiosHeaderValue

  - Defined in node_modules/axios/index.d.ts:69

### getContentLength

- getContentLength(parser?: RegExp): null | RegExpExecArray

  #### Parameters

  - `Optional` parser: RegExp

  #### Returns null | RegExpExecArray

  - Defined in node_modules/axios/index.d.ts:53
- getContentLength(matcher?: AxiosHeaderMatcher ): AxiosHeaderValue

  #### Parameters

  - `Optional` matcher: AxiosHeaderMatcher

  #### Returns AxiosHeaderValue

  - Defined in node_modules/axios/index.d.ts:54

### getContentType

- getContentType(parser?: RegExp): null | RegExpExecArray

  #### Parameters

  - `Optional` parser: RegExp

  #### Returns null | RegExpExecArray

  - Defined in node_modules/axios/index.d.ts:48
- getContentType(matcher?: AxiosHeaderMatcher ): AxiosHeaderValue

  #### Parameters

  - `Optional` matcher: AxiosHeaderMatcher

  #### Returns AxiosHeaderValue

  - Defined in node_modules/axios/index.d.ts:49

### getUserAgent

- getUserAgent(parser?: RegExp): null | RegExpExecArray

  #### Parameters

  - `Optional` parser: RegExp

  #### Returns null | RegExpExecArray

  - Defined in node_modules/axios/index.d.ts:63
- getUserAgent(matcher?: AxiosHeaderMatcher ): AxiosHeaderValue

  #### Parameters

  - `Optional` matcher: AxiosHeaderMatcher

  #### Returns AxiosHeaderValue

  - Defined in node_modules/axios/index.d.ts:64

### has

- has(header: string, matcher?: AxiosHeaderMatcher ): boolean

  #### Parameters

  - header: string
  - `Optional` matcher: AxiosHeaderMatcher

  #### Returns boolean

  - Defined in node_modules/axios/index.d.ts:29

### hasAccept

- hasAccept(matcher?: AxiosHeaderMatcher ): boolean

  #### Parameters

  - `Optional` matcher: AxiosHeaderMatcher

  #### Returns boolean

  - Defined in node_modules/axios/index.d.ts:60

### hasAuthorization

- hasAuthorization(matcher?: AxiosHeaderMatcher ): boolean

  #### Parameters

  - `Optional` matcher: AxiosHeaderMatcher

  #### Returns boolean

  - Defined in node_modules/axios/index.d.ts:75

### hasContentEncoding

- hasContentEncoding(matcher?: AxiosHeaderMatcher ): boolean

  #### Parameters

  - `Optional` matcher: AxiosHeaderMatcher

  #### Returns boolean

  - Defined in node_modules/axios/index.d.ts:70

### hasContentLength

- hasContentLength(matcher?: AxiosHeaderMatcher ): boolean

  #### Parameters

  - `Optional` matcher: AxiosHeaderMatcher

  #### Returns boolean

  - Defined in node_modules/axios/index.d.ts:55

### hasContentType

- hasContentType(matcher?: AxiosHeaderMatcher ): boolean

  #### Parameters

  - `Optional` matcher: AxiosHeaderMatcher

  #### Returns boolean

  - Defined in node_modules/axios/index.d.ts:50

### hasUserAgent

- hasUserAgent(matcher?: AxiosHeaderMatcher ): boolean

  #### Parameters

  - `Optional` matcher: AxiosHeaderMatcher

  #### Returns boolean

  - Defined in node_modules/axios/index.d.ts:65

### normalize

- normalize(format: boolean): AxiosHeaders

  #### Parameters

  - format: boolean

  #### Returns AxiosHeaders

  - Defined in node_modules/axios/index.d.ts:35

### set

- set(
  headerName?: string,
  value?: AxiosHeaderValue ,
  rewrite?: boolean | AxiosHeaderMatcher ,
  ): AxiosHeaders

  #### Parameters

  - `Optional` headerName: string
  - `Optional` value: AxiosHeaderValue
  - `Optional` rewrite: boolean | AxiosHeaderMatcher

  #### Returns AxiosHeaders

  - Defined in node_modules/axios/index.d.ts:23
- set(
  headers?: string | AxiosHeaders | RawAxiosHeaders ,
  rewrite?: boolean,
  ): AxiosHeaders

  #### Parameters

  - `Optional` headers: string | AxiosHeaders | RawAxiosHeaders
  - `Optional` rewrite: boolean

  #### Returns AxiosHeaders

  - Defined in node_modules/axios/index.d.ts:24

### setAccept

- setAccept(
  value: AxiosHeaderValue ,
  rewrite?: boolean | AxiosHeaderMatcher ,
  ): AxiosHeaders

  #### Parameters

  - value: AxiosHeaderValue
  - `Optional` rewrite: boolean | AxiosHeaderMatcher

  #### Returns AxiosHeaders

  - Defined in node_modules/axios/index.d.ts:57

### setAuthorization

- setAuthorization(
  value: AxiosHeaderValue ,
  rewrite?: boolean | AxiosHeaderMatcher ,
  ): AxiosHeaders

  #### Parameters

  - value: AxiosHeaderValue
  - `Optional` rewrite: boolean | AxiosHeaderMatcher

  #### Returns AxiosHeaders

  - Defined in node_modules/axios/index.d.ts:72

### setContentEncoding

- setContentEncoding(
  value: AxiosHeaderValue ,
  rewrite?: boolean | AxiosHeaderMatcher ,
  ): AxiosHeaders

  #### Parameters

  - value: AxiosHeaderValue
  - `Optional` rewrite: boolean | AxiosHeaderMatcher

  #### Returns AxiosHeaders

  - Defined in node_modules/axios/index.d.ts:67

### setContentLength

- setContentLength(
  value: AxiosHeaderValue ,
  rewrite?: boolean | AxiosHeaderMatcher ,
  ): AxiosHeaders

  #### Parameters

  - value: AxiosHeaderValue
  - `Optional` rewrite: boolean | AxiosHeaderMatcher

  #### Returns AxiosHeaders

  - Defined in node_modules/axios/index.d.ts:52

### setContentType

- setContentType(
  value: ContentType ,
  rewrite?: boolean | AxiosHeaderMatcher ,
  ): AxiosHeaders

  #### Parameters

  - value: ContentType
  - `Optional` rewrite: boolean | AxiosHeaderMatcher

  #### Returns AxiosHeaders

  - Defined in node_modules/axios/index.d.ts:47

### setUserAgent

- setUserAgent(
  value: AxiosHeaderValue ,
  rewrite?: boolean | AxiosHeaderMatcher ,
  ): AxiosHeaders

  #### Parameters

  - value: AxiosHeaderValue
  - `Optional` rewrite: boolean | AxiosHeaderMatcher

  #### Returns AxiosHeaders

  - Defined in node_modules/axios/index.d.ts:62

### toJSON

- toJSON(asStrings?: boolean): RawAxiosHeaders

  #### Parameters

  - `Optional` asStrings: boolean

  #### Returns RawAxiosHeaders

  - Defined in node_modules/axios/index.d.ts:39

### `Static` accessor

- accessor(header: string | string[]): AxiosHeaders

  #### Parameters

  - header: string | string[]

  #### Returns AxiosHeaders

  - Defined in node_modules/axios/index.d.ts:43

### `Static` concat

- concat(
  ...targets: (undefined | null | string | AxiosHeaders | RawAxiosHeaders)[],
  ): AxiosHeaders

  #### Parameters

  - ...targets: (undefined | null | string | AxiosHeaders | RawAxiosHeaders)[]

  #### Returns AxiosHeaders

  - Defined in node_modules/axios/index.d.ts:45

### `Static` from

- from(thing?: string | AxiosHeaders | RawAxiosHeaders ): AxiosHeaders

  #### Parameters

  - `Optional` thing: string | AxiosHeaders | RawAxiosHeaders

  #### Returns AxiosHeaders

  - Defined in node_modules/axios/index.d.ts:41